%define	name	synaptics
%define	version	0.14.7
%define git 20070706
%define release %mkrel 0.%{git}.4

Summary:	Synaptics TouchPad driver for XFree86
Name:		%{name}
Version:	%{version}
Release:	%{release}
#Source:   http://w1.894.telia.com/~u89404340/touchpad/files/%{name}-%{version}.tar.bz2
Source0: 	synaptics-git%{git}.tar.bz2
Patch0: 	synaptics-makefile.patch
Patch1: 	synaptics-fix-xorg-version.patch
Patch2: 	synaptics-eviocgbit.patch

# fedora patches:
Patch20:	synaptics-0.14.7-delibcwrap.patch
Patch21:	synaptics-0.14.6-poll-delay.patch
Patch22:	synaptics-0.14.6-poll-200ms.patch
Patch23:	synaptics-0.14.6-alps.patch

URL:		http://w1.894.telia.com/~u89404340/touchpad/index.html
License:	GPL
Group:		System/X11
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libx11-devel
BuildRequires:	x11-server-devel
BuildRequires:	libxext-devel

%description
This is a driver for the Synaptics TouchPad for XFree86 4.x.
A Synaptics touchpad by default operates in compatibility mode by emulating a
standard mouse. However, by using a dedicated driver, more advanced features of
the touchpad becomes available.
Read the %{_docdir}/%{name}-%{version}/INSTALL file for instructions.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .includes
%patch1 -p1
%patch2 -p1 -b .eviocgbit

%patch20 -p1 -b .delibcwrap
%patch21 -p1 -b .polldelay
%patch22 -p1 -b .poll200ms
%patch23 -p1 -b .alps-settings

%build
make clean
%make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
%makeinstall_std PREFIX=%{_prefix} MANDIR=%{buildroot}/%{_mandir}

%clean
rm -rf %{buildroot}

%triggerpostun -- synaptics < 0.14.7-0.20070706.2mdv2008.1
if [ -f /etc/X11/xorg.conf ]; then
  perl -i.old  -pe 's/^(\s+InputDevice "SynapticsMouse\d+"\s+)"AlwaysCore"(\s*)$/$1"SendCoreEvents"$2/' /etc/X11/xorg.conf
fi
exit 0

%files
%defattr(-,root,root,0755)
%doc COMPATIBILITY INSTALL INSTALL.DE INSTALL.FR                  
%doc NEWS README README.alps TODO                                 
%doc trouble-shooting.txt
%attr(0755,root,root) %{_libdir}/xorg/modules/input/synaptics_drv.so
%{_bindir}/synclient
%{_bindir}/syndaemon
%{_mandir}/man1/synclient.1*
%{_mandir}/man1/syndaemon.1*
%{_mandir}/man5/synaptics.5*


%changelog
* Wed Dec 10 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.14.7-0.20070706.4mdv2009.1
+ Revision: 312504
- oops, revert previous change. didn't notice it contained docs on config..
- ditch INSTALL* files as they're quite useless for a binary package to provide..
- drop libtool library file, it's not needed and whatever it did fix at the time,
  it was certainly not a proper fix..
- use %%makeinstall_std macro..
- don't disable stack protector, unable to reproduce issue with loading of module,
  so it's probably fixed upstream.. Such issues should anyways be fixed rather
  than just disabling..
- add some fedora fixes:
  	o fix build with new X (P20)
  	o make poll interval user configurable (P21)
  	o reduce default poll from 20ms to 200ms (P22)
  	o Fix the defaults on ALPS touchpads (P23)

* Fri Sep 12 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.14.7-0.20070706.3mdv2009.0
+ Revision: 284342
- Apply synaptics-eviocgbit.patch from
  http://userweb.kernel.org/~dtor/eviocgbit-bug.html

  + Ander Conselvan de Oliveira <ander@mandriva.com>
    - Fix compiled for field of module. Use Xorg version instead of XFree86.

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.14.7-0.20070706.2mdv2009.0
+ Revision: 140904
- restore BuildRoot

* Wed Dec 19 2007 Olivier Blin <oblin@mandriva.com> 0.14.7-0.20070706.2mdv2008.1
+ Revision: 134902
- migrate xorg.conf to use SendCoreEvents instead of AlwaysCore for synaptics touchpads (#36140)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 18 2007 Colin Guthrie <cguthrie@mandriva.org> 0.14.7-0.20070706.1mdv2008.1
+ Revision: 99924
- Update Debian patch to add pixman include dirs
- Update to git snapshot
- Use Makefile patch from Debian
- Rebuild for new Xorg ABI

* Thu Aug 30 2007 Colin Guthrie <cguthrie@mandriva.org> 0.14.6-3mdv2008.0
+ Revision: 76325
- Disable stack-protector as it prevents driver loading.


* Wed Jan 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.14.6-2mdv2007.0
+ Revision: 109688
- Fix BuildRequires
- Fix module loading by adding a .la file
- Update file attributes to be inline with the standard modules

  + Luca Berra <bluca@comedia.it>
    - New upstream version 0.14.6
    - New upstream version 0.14.5
    - import synaptics-0.14.4-4mdk

* Mon May 22 2006 Luca Berra <bluca@vodka.it> 0.14.4-4mdk
- fix placement of manpages (where's that brown paper bag?)

* Sun May 21 2006 Luca Berra <bluca@vodka.it> 0.14.4-3mdk
- update to build with xorg7

* Wed Apr 12 2006 Luca Berra <bluca@vodka.it> 0.14.4-2mdk
- fix placement of manpages (#21472)

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.14.4-1mdk
- New release 0.14.4
- use mkrel

* Sat Jul 23 2005 Olivier Blin <oblin@mandriva.com> 0.14.3-1mdk
- 0.14.3
- add synaptics(5) man page

* Sat Jul 16 2005 Olivier Blin <oblin@mandriva.com> 0.14.2-1mdk
- 0.14.2

* Tue Apr 19 2005 Olivier Blin <oblin@mandrakesoft.com> 0.14.1-2mdk
- remove post section, mousedrake and the installer now take care of evdev

* Mon Apr 04 2005 Luca Berra <bluca@vodka.it> 0.14.1-1mdk 
- 0.14.1

* Wed Mar 02 2005 Luca Berra <bluca@vodka.it> 0.14.0-3mdk 
- use a different method for changing modprobe.preload
- changed group to System/X11

* Wed Mar 02 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.14.0-2mdk
- fix build on x86_64

* Thu Jan 13 2005 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.14.0-1mdk
- 0.14.0

* Sat Oct 23 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.13.5-2mdk
- lib64 fixes

* Mon Aug 09 2004 Luca Berra <bluca@vodka.it> 0.13.5-1mdk 
- New release 0.13.5

* Mon Aug 02 2004 Luca Berra <bluca@mandrakesoft.com> 0.13.4-1mdk
- New release 0.13.4
- removed cPad patch (merged upstream)

* Tue May 18 2004 Luca Berra <bluca@vodka.it> 0.13.2-2mdk 
- included missing readme file

* Sun May 16 2004 Luca Berra <bluca@vodka.it> 0.13.2-1mdk 
- 0.13.2
- added patch for Synaptics cPad support

* Mon May 03 2004 Olivier Blin <blino@mandrake.org> 0.13.0-2mdk
- do not add a literal \n in modprobe.preload but a real newline

* Sun May 02 2004 Luca Berra <bluca@vodka.it> 0.13.0-1mdk
- 0.13
- add evdev module to kernel 2.6

* Fri Feb 27 2004 Luca Berra <bluca@vodka.it> 0.12.4-1mdk
- 0.12.4

* Sat Jan 17 2004 Luca Berra <bluca@vodka.it> 0.12.3-2mdk 
- buildrequires XFree86-devel (again)

* Sat Jan 17 2004 Luca Berra <bluca@vodka.it> 0.12.3-1mdk
- 0.12.3

